package com.zxbw.modulemain.box.contract

import com.zxhl.cms.net.model.box.BoxInfoEntity
import com.zxhl.cms.net.model.box.MarqueeEntity
import com.zxhl.cms.net.model.box.PropsCardList


class GoodsDetailContract {
    interface View {
        fun setBoxInfoData(result: BoxInfoEntity)
        fun setMarqueeData(result: List<MarqueeEntity>?)
        fun setPropsCardList(result: PropsCardList?)
    }

    interface Presenter {
        fun getBoxInfo(boxId: String?)
        fun getBoxMarquee(boxId: String?)
        fun getPropsCardList(boxId: String?)
    }

}